package org.gcube.portlets.user.geoportaldataentry.shared;

import java.io.Serializable;

import org.gcube.application.geoportalcommon.shared.GNADataEntryConfigProfile;

/**
 * The Class GNADataEntryExtConfigProfile.
 *
 * @author Francesco Mangiacrapa at ISTI-CNR francesco.mangiacrapa@isti.cnr.it
 * 
 *         Dec 21, 2021
 */
public class GNADataEntryExtConfigProfile extends GNADataEntryConfigProfile implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = -3185317083819447952L;
	private UserRights userRights = null;

	/**
	 * Instantiates a new GNA data entry config profile.
	 */
	public GNADataEntryExtConfigProfile() {

	}

	public UserRights getUserRights() {
		return userRights;
	}

	public void setUserRights(UserRights userRights) {
		this.userRights = userRights;
	}

	@Override
	public String toString() {
		StringBuilder builder = new StringBuilder();
		builder.append("GNADataEntryExtConfigProfile [userRights=");
		builder.append(userRights);
		builder.append("]");
		return builder.toString();
	}

}
