package org.gcube.portlets.user.geoportaldataentry.client.events;

import org.gcube.application.geoportalcommon.shared.products.model.RecordDV;

import com.google.gwt.event.shared.EventHandler;


/**
 * The Interface ActionPerformedOnItemEventHandler.
 *
 * @author Francesco Mangiacrapa at ISTI-CNR francesco.mangiacrapa@isti.cnr.it
 * 
 * Nov 25, 2021
 */
public interface ActionPerformedOnItemEventHandler extends EventHandler {

	/**
	 * On do action performed fired.
	 * @param <T>
	 *
	 * @param actionPerformedOnItemEvent the action performed on item event
	 */
	<T extends RecordDV> void onDoActionPerformedFired(ActionPerformedOnItemEvent<T> actionPerformedOnItemEvent);
}